---
url: https://docs.seen.io/api/retrieve-data-item.md
description: >-
  Documents the GET endpoint for retrieving a single data item from a Seen
  project using its Data ID, including example responses and error codes.
---

# Retrieve Data Item

Retrieve a single data item in your project.

## Endpoint

```
https://next.seen.io/v1/projects/{Project_ID}/data/{Data_ID}
```

::: info
You can find your endpoint in the [Run page](../platform/projects/run) of your project.
:::

## Request Method

`GET`

## Request Headers

**`Authorization`**

This header is common to all requests to our API. Please see the [Authorization](./authorization) section for more details.

**`Content-Type`**

Content-Type should be configured as `application/json`.

::: info
You can copy the headers from the [Run page](../platform/projects/run) of your project.
:::

## Path Parameters

The following parameter is required in the request:

| Parameter | Type | Description |
|---|---|---|
| `Data ID` | String | The `id` value returned when the data item was created via [Create Data](./create-data). |

## Example Request

```
https://next.seen.io/v1/projects/{Project_ID}/data/12345
```

## Rate Limit

Seen API accepts up to 100 requests per 10 seconds.

## Responses

Upon posting the request, you will receive one of the following responses from our API:

### 200

Upon a successful request, you will receive a `200 OK` response.

```json
{
  "id": "12345",
  "journeyOutputs": [
    {
      "id": "...",
      "motions": [
        {
          "emailThumbnail": "https://motions.seen.io/2b183354-3aa3-4eda-9416-045b3178fe6e/5b0461194f3092c033a6be518229e93b9b85e2db73c4e166e87c397ba9570f6e/email_thumbnail.jpg",
          "id": "...",
          "thumbnail": "https://motions.seen.io/2b183354-3aa3-4eda-9416-045b3178fe6e/5b0461194f3092c033a6be518229e93b9b85e2db73c4e166e87c397ba9570f6e/thumbnail.jpg"
        }
      ],
      "players": [
        {
          "id": "...",
          "link": "https://player.seen.io/v/eHmnkM2wqAWcgkQQmxPP"
        }
      ],
      "webhook": null
    }
  ],
  "values": {
    "country": "Norway",
    "first_name": "Daniel"
  }
}
```

### 404

In case the Data ID is not found in your project, you will receive a `404 Not Found` response.

```json
{
  "code": "ErrNotFound",
  "message": "item not found"
}
```

### 401

Upon an unauthorized request, you will receive a `401 Unauthorized` response.

```json
{
  "code": "ErrUnauthenticated",
  "message": "api key invalid"
}
```

### 429

Upon exceeding the rate limit, you will receive a `429 Too Many Requests` response.

```
429 Too Many Requests
```

### 500

Upon a client error, you will receive a `500 Internal Server Error` response.

```json
{
  "code": "ErrClient",
  "message": "service unavailable"
}
```
